%define rname capt

Summary:	CAPT driver for Canon LBP-810 and LBP-1120
Name:		cups-drivers-%{rname}
Version:	0.1
Release:	%mkrel 18
License:	GPL
Group:		System/Printing
URL:		http://www.boichat.ch/nicolas/capt/
Source0:	http://www.boichat.ch/nicolas/capt/%{rname}-%{version}.tar.bz2
Patch0:		capt-0.1-LDFLAGS.diff
Patch1:		capt-0.1-gcc7.patch
Requires:	cups
Conflicts:	cups-drivers = 2007
Conflicts:	printer-utils = 2007
Conflicts:	printer-filters = 2007

%description
CAPT driver for Canon LBP-810 and LBP-1120

This package contains CUPS drivers (PPD) for the following printers:

 o Canon-LBP-810
 o Canon-LBP-1120

%prep

%setup -q -n %{rname}-%{version}
%autopatch -p1

%build

%make_build CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

# Correct PPD files to pass "cupstestppd"
perl -p -i -e "s/DefaultNoReset/DefaultAlwaysReset/g" ppd/*.ppd

# Do not generate a log file with fixed name, security problem!
perl -p -i -e "s:/tmp/capt.log:/dev/null:g" ppd/*.ppd

# Create PPD file for LBP-1120
cp ppd/Canon-LBP-810-capt.ppd ppd/Canon-LBP-1120-capt.ppd
perl -p -i -e "s:LBP-810:LBP-1120:g" ppd/Canon-LBP-1120-capt.ppd
perl -p -i -e "s:lbp810:lbp1120:g" ppd/Canon-LBP-1120-capt.ppd

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_datadir}/cups/model/capt

install -m0755 capt %{buildroot}%{_bindir}/
install -m0755 capt-* %{buildroot}%{_bindir}/
install -m0644 ppd/*.ppd %{buildroot}%{_datadir}/cups/model/capt/

%files
%defattr(0644,root,root,0755)
%doc COPYING NEWS README SPECS THANKS TODO
%attr(0755,root,root) %{_bindir}/capt*
%attr(0755,root,root) %dir %{_datadir}/cups/model/capt
%attr(0644,root,root) %{_datadir}/cups/model/capt/Canon-LBP-810-capt.ppd*
%attr(0644,root,root) %{_datadir}/cups/model/capt/Canon-LBP-1120-capt.ppd*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.1-18.mga8
+ Revision: 1511768
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.1-17.mga7
+ Revision: 1297356
- Mageia 7 Mass Rebuild

* Thu Sep 28 2017 cjw <cjw> 0.1-16.mga7
+ Revision: 1160898
- patch1: fix build with gcc 7

* Wed Feb 03 2016 umeabot <umeabot> 0.1-15.mga6
+ Revision: 933123
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1-14.mga5
+ Revision: 744530
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1-13.mga5
+ Revision: 678620
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1-12.mga4
+ Revision: 503646
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.1-11.mga3
+ Revision: 348433
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 23 2011 ennael <ennael> 0.1-10.mga1
+ Revision: 57687
- imported package cups-drivers-capt


* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1-10mdv2011.0
+ Revision: 603866
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1-9mdv2010.1
+ Revision: 518838
- rebuild

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1-8mdv2010.0
+ Revision: 413282
- rebuild

* Tue Dec 23 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1-7mdv2009.1
+ Revision: 318056
- use %%ldflags

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 0.1-6mdv2009.0
+ Revision: 220524
- rebuild

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 0.1-5mdv2008.1
+ Revision: 149144
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Aug 30 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1-4mdv2008.0
+ Revision: 75323
- fix deps (pixel)

* Sun Aug 19 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1-3mdv2008.0
+ Revision: 66562
- rebuild
- use the new System/Printing RPM GROUP

* Mon Aug 13 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1-1mdv2008.0
+ Revision: 62495
- Import cups-drivers-capt



* Mon Aug 13 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1-1mdv2008.0
- initial Mandriva package
